﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace GettingStarted
{
    public partial class MainPage : ContentPage
    {
        #region Fields

        BookInfoRepository bookinfoRepository;
        int count = 1;

        #endregion

        #region Constructor

        public MainPage()
        {
            InitializeComponent();
            bookinfoRepository = new BookInfoRepository();
        }

        #endregion

        #region CallBacks

        private void Button_Clicked(object sender, EventArgs e)
        {
            count++;
            if (count > 20)
                return;
            var bookinfo = bookinfoRepository.GetBookInfo(count);
            viewModel.BookInfo = bookinfo;
            listView.ItemsSource = viewModel.BookInfo;
        }

        #endregion
    }
}
